templates:
- projects-citec
- autotools
- base

variables:
  description: XML-based Communication Framework
  keywords:
  - middleware
  - framework
  redmine-project: xcf

  repository: https://projects.cit-ec.uni-bielefeld.de/svn/xcf/cpp/projects/core
  branches:
  - trunk

  extra-provides:
  - nature: pkg-config
    target: xcf
    version: '0.9'
  extra-requires:
  - nature: c-include
    target: sp.h
  - nature: pkg-config
    target: xmltio
  - nature: pkg-config
    target: ice
    version: '3.4'

  bootstrap.command: sh ./bootstrap.sh

  configure.disable:
  - xsrad
  - port

versions:
# We migrated the svn repo to git:
- name: master
  variables:
    repository: https://projects.cit-ec.uni-bielefeld.de/git/xcf.core.git
    branch: master
